Package org.eclipse.net4j.util.ui.chat

# Class ChatMessage.Author

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatMessage.Author

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatMessage.Author>`

Enclosing interface:
  ChatMessage

public static final class ChatMessage.Author extends Object implements Serializable, Comparable<ChatMessage.Author>

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ChatMessage.Author.Builder`
`static final class`
`ChatMessage.Author.Cache`

## Method Summary

Modifier and Type
Method
Description
`static ChatMessage.Author.Builder`
`builder(String userID)`
`int`
`compareTo(ChatMessage.Author o)`
`boolean`
`equals(Object obj)`
`URI`
`getAvatar()`
`String`
`getFirstName()`
`String`
`getFullName()`
`String`
`getInitials()`
`String`
`getLastName()`
`String`
`getShortName()`
`String`
`getUserID()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getUserID

public String getUserID()

### getFirstName

public String getFirstName()

### getLastName

public String getLastName()

### getShortName

public String getShortName()

### getFullName

public String getFullName()

### getInitials

public String getInitials()

### getAvatar

public URI getAvatar()

### compareTo

public int compareTo(ChatMessage.Author o)

Specified by:
  `compareTo` in interface `Comparable<ChatMessage.Author>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### builder

public static ChatMessage.Author.Builder builder(String userID)